<!-- Main Content -->
<section class="section">
  <div class="section-header">
    <h1>
      <%= title %>
    </h1>
  </div>
  <div class="row" id="tableID">
    <div class="col-12">
      <div class="card">
        <div class="card-header">
          <div class="col-sm-6">
            <!-- <h4 class="card-title">Banner Table</h4> -->
          </div>
          <div class="col-sm-6 text-right"></div>
        </div>

        <div class="table-responsive px-3">
          <table id="table_get" class="table table-striped table-bordered" style="width: 100%">
            <thead>
              <tr>
                <th>S.No</th>
                <th>Name</th>
                <th>Feedback</th>
                <th>Replied</th>
                <th>Action</th>
              </tr>
            </thead>

            <tbody>
              <% feeds.forEach((data,i)=>{%>
                <tr>
                  <td>
                    <%= i+1 %>
                  </td>
                  <td>
                    <%= data?.name%>
                  </td>
                  <td>
                    <%= data?.feed%>
                  </td>
                  <td>
                    <%= data?.isReplied==1 ? 'Yes' :'No' %>
                  </td>
                  <td>
                    <a href="/admin/feedbackView/<%= data.id%>" class="btn btn-success">
                      <i class="far fa-eye"></i>
                    </a>
                    <button class="btn btn-danger" onclick="deleteFeed('<%= data.id%>')">
                      <i class="fas fa-trash-alt"></i>
                    </button>
                    <button onclick="replay('<%= data?.email%>')" class="btn btn-primary">
                      <i class="far fa-edit"> </i>Reply
                    </button>
                  </td>
                </tr>
                <%})%>
            </tbody>
          </table>
        </div>
      </div>
    </div>
  </div>
</section>
<!-- =================================   add category  modal ==================================== -->

<div class="modal fade" tabindex="-1" role="dialog" id="sendFeedback" aria-hidden="true" style="display: none">
  <div class="modal-dialog modal-md modal-dialog-centered" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Reply Feedback</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <form id="feedback_form" enctype="multipart/form-data">
          <!-- method="post"
          action="/admin/sendFeed" -->
          <div class="form-group">
            <label>Title</label>
            <div class="input-group">
              <input type="text" class="form-control" name="title" required />
              <input type="hidden" id="sendMail" class="form-control" name="email" required />
            </div>
          </div>
          <div class="form-group">
            <label>Solution</label>
            <div class="input-group">
              <textarea type="text" class="form-control" placeholder="solution" name="solution" required
                style="min-height: 200px"></textarea>
            </div>
          </div>

          <div class="row">
            <button onclick="sendFeedback()" class="btn btn-primary btn-shadow">
              send
            </button>
            <!--  -->
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<div class="modal fade" tabindex="-1" role="dialog" id="add_category_modal" aria-hidden="true" style="display: none">
  <div class="modal-dialog modal-md" role="document">
    <div class="modal-content">
      <div class="modal-header">
        <h5 class="modal-title">Add Quiz Category</h5>
        <button type="button" class="close" data-dismiss="modal" aria-label="Close">
          <span aria-hidden="true">×</span>
        </button>
      </div>
      <div class="modal-body">
        <form class="" action="/admin/addQuizCategory" method="post" enctype="multipart/form-data">
          <div class="form-group">
            <label>Name</label>
            <div class="input-group">
              <input type="text" class="form-control" name="name" required />
            </div>
          </div>
          <div class="form-group">
            <label>Image</label>
            <div class="input-group">
              <input type="file" id="imgInp" class="form-control" placeholder="image" name="image" required />
            </div>
          </div>
          <div class="form-group">
            <div class="row">
              <div class="col-md-4">
                <image id="imbBlah" class="w-100" src="/images/userImg/noimages.png"></image>
              </div>
            </div>
          </div>

          <div class="row">
            <button type="submit" class="btn btn-primary btn-shadow">
              Add
            </button>
          </div>
        </form>
      </div>
    </div>
  </div>
</div>

<!-- main content End -->
<!-- <script src="../assets/js/myScripts.js"></script> -->
<!-- Add this link to include the iziToast CSS file -->
<link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/css/iziToast.min.css" />

<!-- Add this script to include the iziToast JavaScript file -->
<script src="https://cdnjs.cloudflare.com/ajax/libs/izitoast/1.4.0/js/iziToast.min.js"></script>
<script>
  imgInp.onchange = (evt) => {
    const [file] = imgInp.files;
    if (file) {
      imbBlah.src = URL.createObjectURL(file);
    }
  };
</script>